.skills-section {
  font-family: "Poppins", sans-serif;
  display: flex;
  flex-direction: column;
  gap: 20px;
  width: 100%;
  height: 100%;
}

.skills-splide {
  width: 100%;
  height: 100%;
}

.skill-info-container {
  position: relative;
  display: flex;
  width: 100%;
  height: 100%;
  min-height: 800px;
  padding: 30px;
  box-sizing: border-box;
  z-index: 800;
}

.skill-info-container p {
  font-size: 14px;
}

.skill-info-container.frontend {
  background-image: url("../assets/img/backgrounds/frontend-bg.jpeg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  height: 100vh;
}

.skill-info-container.backend {
  background-image: url("../assets/img/backgrounds/backend-bg.jpeg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  height: 100vh;
}

.skill-info-container.design {
  background-image: url("../assets/img/backgrounds/design-bg.jpeg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  height: 100vh;
}

.skill-info-container::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 900;
}

.skill-info-container.frontend::after {
  background-image: linear-gradient(
    to right,
    rgba(0, 0, 0, 0.959) 25%,
    rgba(0, 174, 255, 0.2) 100%
  );
}

.skill-info-container.backend::after {
  background-image: linear-gradient(
    to right,
    rgba(0, 0, 0, 0.959) 25%,
    rgba(255, 187, 0, 0.2) 100%
  );
}

.skill-info-container.design::after {
  background-image: linear-gradient(
    to right,
    rgba(0, 0, 0, 0.959) 25%,
    rgba(143, 8, 143, 0.2) 100%
  );
}

.skill-info-container > .skill-text {
  display: flex;
  flex-direction: column;
  gap: 20px;
  width: 50%;
  line-height: 30px;
  z-index: 9999;
}

.tech-list {
  display: flex;
  flex-wrap: wrap;
  align-items: start;
  gap: 20px;
  margin-left: 30px;
  font-size: 12px;
}

.tech-list > li {
  width: fit-content;
}

.project-btn {
  width: fit-content;
  padding: 5px 10px;
  border: 1px solid #ffffff;
  font-size: 12px;
  opacity: 0.7;
  transition: ease 0.5s;
}

.project-btn:hover {
  opacity: 1;
}

.splide__arrows {
  position: absolute;
  top: 40px !important;
  right: 20px !important;
  width: 150px !important;
}

.splide__arrow {
  background-color: black !important;
  padding: 5px !important;
  width: 3em !important;
  height: 3em !important;
}

.splide__arrow svg {
  filter: invert(1);
  width: 2em !important;
  height: 2em !important;
}

.splide__pagination {
  bottom: 4em !important;
}

@media (max-width: 768px) {
  .skill-info-container {
    min-height: 1250px;
    padding: 10px;
  }

  .skill-info-container.frontend::after {
    background-image: none;
    background-color: rgba(0, 0, 0, 0.85);
  }

  .skill-info-container.backend::after {
    background-image: none;
    background-color: rgba(0, 0, 0, 0.85);
  }

  .skill-info-container.design::after {
    background-image: none;
    background-color: rgba(0, 0, 0, 0.85);
  }

  .skill-info-container > .skill-text {
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 100%;
    padding: 50px 20px 20px 20px;
  }

  .splide__arrows {
    position: absolute;
    top: 40px !important;
    right: 20px !important;
    width: 120px !important;
  }

  .splide__arrow {
    background-color: black !important;
    padding: 5px !important;
    width: 2em !important;
    height: 2em !important;
  }

  .splide__arrow svg {
    filter: invert(1);
    width: 2em !important;
    height: 2em !important;
  }
}
